it-swarm-ja.com

ANSIイタリックエスケープコードをサポートする端末?

ターミナルでGVimをVimに置き換えたいのですが。 GVimの優れた点の1つは、イタリックを使用してテキストを表示できることです。

Vimでは、イタリック体のANSIエスケープコードを設定できます(\e[3m)ですが、これはGnomeターミナルでは機能しません。イタリックのANSIエスケープコードをサポートするターミナルエミュレータはありますか?

16

提案されているように、echo -e "\e[3mfoo\e[23m"を使用していくつかのターミナルエミュレーターをテストしました ここ 。 Arch wiki list を調べ、公式リポジトリでエミュレータをテストしました。

イタリックをサポート

  • konsole 15.04.3
  • rxvt-unicode 9.21
  • ティルダ1.2.4
  • xterm 318
  • gnome-terminal 3.16.2
  • パンテオン端子0.3.1.1
  • ヤクアケ2.9.9
  • roxterm 3.1.3
  • さくら3.3.0
  • シロアリ10
  • mlterm 3.3.8
  • terminix 1.0.0
  • ターミネーター1.91
  • xfce4-terminal 0.8.5.1

イタリックをサポートしない

  • グアケ0.7.2
  • lxterminal 0.2.0
  • rxvt 2.7.10
  • 用語0.8.0
  • lilyterm 0.9.9.2
  • メイト端子1.10.1
  • xfce4-terminal 0.6.3
  • KiTTY 0.64.0.4
  • PuTTY0.65ベータ
15
Sparhawk

GNOMEターミナル(3.6.1)は、\e[3mを介してイタリックをサポートしています。

10
osirisgothra
6
ak2